| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
jidctint.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jdct.h"`

Go to the source code of this file.

## Macros
#define | JPEG_INTERNALS
#define | CONST_BITS 13
#define | PASS1_BITS 2
#define | FIX_0_298631336 ((INT32) 2446) /* FIX(0.298631336) */
#define | FIX_0_390180644 ((INT32) 3196) /* FIX(0.390180644) */
#define | FIX_0_541196100 ((INT32) 4433) /* FIX(0.541196100) */
#define | FIX_0_765366865 ((INT32) 6270) /* FIX(0.765366865) */
#define | FIX_0_899976223 ((INT32) 7373) /* FIX(0.899976223) */
#define | FIX_1_175875602 ((INT32) 9633) /* FIX(1.175875602) */
#define | FIX_1_501321110 ((INT32) 12299) /* FIX(1.501321110) */
#define | FIX_1_847759065 ((INT32) 15137) /* FIX(1.847759065) */
#define | FIX_1_961570560 ((INT32) 16069) /* FIX(1.961570560) */
#define | FIX_2_053119869 ((INT32) 16819) /* FIX(2.053119869) */
#define | FIX_2_562915447 ((INT32) 20995) /* FIX(2.562915447) */
#define | FIX_3_072711026 ((INT32) 25172) /* FIX(3.072711026) */
#define | MULTIPLY(var, const) MULTIPLY16C16(var,const)
#define | DEQUANTIZE(coef, quantval) (((ISLOW_MULT_TYPE) (coef)) * (quantval))

## Functions
| jpeg_idct_islow (j_decompress_ptr cinfo, jpeg_component_info *compptr, JCOEFPTR coef_block, JSAMPARRAY output_buf, JDIMENSION output_col)

## Macro Definition Documentation

#define CONST_BITS 13

Definition at line 78 of file jidctint.c.

#define DEQUANTIZE | ( |  | coef,
|  |  | quantval
| ) |  | (((ISLOW_MULT_TYPE) (coef)) * (quantval))

Definition at line 140 of file jidctint.c.

#define FIX_0_298631336 ((INT32) 2446) /* FIX(0.298631336) */

Definition at line 93 of file jidctint.c.

#define FIX_0_390180644 ((INT32) 3196) /* FIX(0.390180644) */

Definition at line 94 of file jidctint.c.

#define FIX_0_541196100 ((INT32) 4433) /* FIX(0.541196100) */

Definition at line 95 of file jidctint.c.

#define FIX_0_765366865 ((INT32) 6270) /* FIX(0.765366865) */

Definition at line 96 of file jidctint.c.

#define FIX_0_899976223 ((INT32) 7373) /* FIX(0.899976223) */

Definition at line 97 of file jidctint.c.

#define FIX_1_175875602 ((INT32) 9633) /* FIX(1.175875602) */

Definition at line 98 of file jidctint.c.

#define FIX_1_501321110 ((INT32) 12299) /* FIX(1.501321110) */

Definition at line 99 of file jidctint.c.

#define FIX_1_847759065 ((INT32) 15137) /* FIX(1.847759065) */

Definition at line 100 of file jidctint.c.

#define FIX_1_961570560 ((INT32) 16069) /* FIX(1.961570560) */

Definition at line 101 of file jidctint.c.

#define FIX_2_053119869 ((INT32) 16819) /* FIX(2.053119869) */

Definition at line 102 of file jidctint.c.

#define FIX_2_562915447 ((INT32) 20995) /* FIX(2.562915447) */

Definition at line 103 of file jidctint.c.

#define FIX_3_072711026 ((INT32) 25172) /* FIX(3.072711026) */

Definition at line 104 of file jidctint.c.

#define JPEG_INTERNALS

Definition at line 28 of file jidctint.c.

#define MULTIPLY | ( |  | var,
|  |  | const
| ) |  | MULTIPLY16C16(var,const)

Definition at line 129 of file jidctint.c.

#define PASS1_BITS 2

Definition at line 79 of file jidctint.c.

## Function Documentation

jpeg_idct_islow | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JCOEFPTR | coef_block,
|  | JSAMPARRAY | output_buf,
|  | JDIMENSION | output_col
| ) |  |

Definition at line 148 of file jidctint.c.